BimpДовідка

Списання запасів: методи API Bimp

Методи API Bimp для ресурсу «Списання запасів» (/org2/writeOffOfInventories/…): 5 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/writeOffOfInventories/api-readA request to obtain detailed information for a particular inventory write-off
POST /org2/writeOffOfInventories/api-readListA request to obtain a list of inventory write-offs
POST /org2/writeOffOfInventories/api-createA request to create an inventory write-off
POST /org2/writeOffOfInventories/api-updateA request to update or add information to an existing inventory write-off
POST /org2/writeOffOfInventories/api-cancelCancel an inventory write-off document

api-read

POST /org2/writeOffOfInventories/api-read

A request to obtain detailed information for a particular inventory write-off

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)так

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
expenseItemstring (uuid)A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
productsobject[]
products[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
products[].quantitynumberThe amount of items
products[].projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
products[].lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
invoiceForCustomerPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
curl -X POST 'https://app.bimpsoft.com/org2/writeOffOfInventories/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/writeOffOfInventories/api-readList

A request to obtain a list of inventory write-offs

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтакPagination settings
pagination.offsetnumberтакPagination offset
pagination.countnumberтакPage size (row count)
filtersobjectFilters for inventory write-off list
filters.commentstringAn optional text field for any additional notes or comments related to the document
filters.expenseItemsstring (uuid)[]A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
filters.organizationstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request
filters.authorstring (uuid)[]A unique identifier for the Author, obtainable from the /user/api-readList request
filters.sumobject[]Sum range [min, max]

Відповідь: поле data

ПолеТипОпис
totalnumber
rowsobject[]
rows[].uuidstring (uuid)
rows[].numberstring
rows[].datestring
rows[].commentstring
rows[].organizationstring (uuid)
rows[].authorstring (uuid)
rows[].expenseItemstring (uuid)
rows[].sumnumber
curl -X POST 'https://app.bimpsoft.com/org2/writeOffOfInventories/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":20}}'

api-create

POST /org2/writeOffOfInventories/api-create

A request to create an inventory write-off

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
organizationstring (uuid)такA unique identifier for the Organization, obtainable from the /organization/api-readList request
expenseItemstring (uuid)такA unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
productsobject[]так
products[].nomenclaturestring (uuid)такA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].warehousestring (uuid)такA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
products[].quantitynumberтакThe amount of items
products[].projectstring (uuid)такA unique identifier for the Project, obtainable from the /project/api-readList request
products[].lineOfBusinessstring (uuid)такA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
invoiceForCustomerPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request

Відповідь: поле data

ПолеТипОпис
uuidstring
curl -X POST 'https://app.bimpsoft.com/org2/writeOffOfInventories/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"organization":"00000000-0000-0000-0000-000000000000","expenseItem":"00000000-0000-0000-0000-000000000000","products":[{}]}'

api-update

POST /org2/writeOffOfInventories/api-update

A request to update or add information to an existing inventory write-off

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)так
organizationstring (uuid)такA unique identifier for the Organization, obtainable from the /organization/api-readList request
expenseItemstring (uuid)такA unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
productsobject[]так
products[].nomenclaturestring (uuid)такA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].warehousestring (uuid)такA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
products[].quantitynumberтакThe amount of items
products[].projectstring (uuid)такA unique identifier for the Project, obtainable from the /project/api-readList request
products[].lineOfBusinessstring (uuid)такA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
invoiceForCustomerPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request

Відповідь: поле data

ПолеТипОпис
uuidstring
curl -X POST 'https://app.bimpsoft.com/org2/writeOffOfInventories/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","expenseItem":"00000000-0000-0000-0000-000000000000","products":[{}]}'

api-cancel

POST /org2/writeOffOfInventories/api-cancel

Cancel an inventory write-off document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for the inventory write-off document

Відповідь: поле data

ПолеТипОпис
successboolean (true)
curl -X POST 'https://app.bimpsoft.com/org2/writeOffOfInventories/api-cancel' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.